Index: squid3/src/ICAPXaction.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ICAPXaction.h,v
retrieving revision 1.1.2.7
retrieving revision 1.1.2.8
diff -u -r1.1.2.7 -r1.1.2.8
--- squid3/src/ICAPXaction.h	25 Aug 2005 22:09:00 -0000	1.1.2.7
+++ squid3/src/ICAPXaction.h	26 Aug 2005 20:28:41 -0000	1.1.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPXaction.h,v 1.1.2.7 2005/08/25 22:09:00 rousskov Exp $
+ * $Id: ICAPXaction.h,v 1.1.2.8 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -43,114 +43,135 @@
  * the adapted messages back. ICAPClient is the "owner" of the ICAPXaction. */
 
 class ICAPServiceRep;
+
 class TextException;
+
 class ChunkedCodingParser;
 
-class ICAPXaction: public MsgPipeSource, public MsgPipeSink {
+class ICAPXaction: public MsgPipeSource, public MsgPipeSink
+{
+
 public:
-	typedef RefCount<ICAPXaction> Pointer;
+    typedef RefCount<ICAPXaction> Pointer;
 
 public:
-	ICAPXaction();
-	virtual ~ICAPXaction();
+    ICAPXaction();
+    virtual ~ICAPXaction();
 
-	// called by ICAPClient
-	void init(MsgPipe *aVirgin, MsgPipe *anAdapted, Pointer &aSelf);
-	void ownerAbort();
-
-	// pipe source methods; called by Anchor while receiving the adapted msg
-	virtual void noteSinkNeed(MsgPipe *p);
-	virtual void noteSinkAbort(MsgPipe *p);
-
-	// pipe sink methods; called by ICAP while sending the virgin message
-	virtual void noteSourceStart(MsgPipe *p);
-	virtual void noteSourceProgress(MsgPipe *p);
-	virtual void noteSourceFinish(MsgPipe *p);
-	virtual void noteSourceAbort(MsgPipe *p);
-
-	// comm handlers
-	void noteCommConnected(comm_err_t status);
-	void noteCommWroteHeaders(comm_err_t status);
-	void noteCommWroteBody(comm_err_t status, size_t sz);
-	void noteCommRead(comm_err_t status, size_t sz);
-	void noteCommTimeout();
-	void noteCommClose();
+    // called by ICAPClient
+    void init(MsgPipe *aVirgin, MsgPipe *anAdapted, Pointer &aSelf);
+    void ownerAbort();
+
+    // pipe source methods; called by Anchor while receiving the adapted msg
+    virtual void noteSinkNeed(MsgPipe *p);
+    virtual void noteSinkAbort(MsgPipe *p);
+
+    // pipe sink methods; called by ICAP while sending the virgin message
+    virtual void noteSourceStart(MsgPipe *p);
+    virtual void noteSourceProgress(MsgPipe *p);
+    virtual void noteSourceFinish(MsgPipe *p);
+    virtual void noteSourceAbort(MsgPipe *p);
+
+    // comm handlers
+    void noteCommConnected(comm_err_t status);
+    void noteCommWroteHeaders(comm_err_t status);
+    void noteCommWroteBody(comm_err_t status, size_t sz);
+    void noteCommRead(comm_err_t status, size_t sz);
+    void noteCommTimeout();
+    void noteCommClose();
 
 private:
-	void openConnection();
-	void closeConnection();
-	void writeMoreBody();
-	void startReading();
-	void readMore();
-
-	void makeRequestHeaders();
-	void moveRequestChunk(MemBuf *buf);
-
-	void parseMore();
-	void parseHeaders();
-	void parseHeader(HttpReply *header);
-	void parseBody();
-	bool parsePresentBody();
-
-	void pickService();
-
-	bool done() const;
-
-	typedef enum { notifyUnknown, notifyNone, notifyService, notifyHttp,
-		notifyAll } Notify;
-	void mustStop(Notify who);
-	void doStop();
-	void stopReading();
-
-	bool callStart(const char *method);
-	void callException(const char *method, const TextException &e, Notify who);
-	void callEnd(const char *method);
+    void openConnection();
+    void closeConnection();
+    void writeMoreBody();
+    void startReading();
+    void readMore();
+
+    void makeRequestHeaders();
+    void moveRequestChunk(MemBuf *buf);
+
+    void parseMore();
+    void parseHeaders();
+    void parseHeader(HttpReply *header);
+    void parseBody();
+    bool parsePresentBody();
+
+    void pickService();
+
+    bool done() const;
+
+    typedef enum { notifyUnknown, notifyNone, notifyService, notifyHttp,
+                   notifyAll } Notify;
+    void mustStop(Notify who);
+    void doStop();
+    void stopReading();
+
+    bool callStart(const char *method);
+    void callException(const char *method, const TextException &e, Notify who);
+    void callEnd(const char *method);
 
 private:
-	// returns a temporary string depicting transaction status, for debugging
-	const char *status() const;
-	bool gotEncapsulated(const char *section) const;
-
-	Pointer self;
-	MsgPipe *virgin;
-	MsgPipe *adapted;
-
-	HttpReply *icapReply;
-
-	ICAPServiceRep *service;
-	int connection;     // FD of the ICAP server connection
-
-	MemBuf requestBuf;
-	MemBuf readBuf;
-	ChunkedCodingParser *bodyParser;
-
-	class State {
-		public:
-			State();
-
-		public:
-			// XXX: document each
-			unsigned inCall: 1;
-			
-			unsigned doneReceiving: 1;
-			unsigned doneSending: 1;
-			unsigned doneReading: 1;
-			unsigned doneWriting: 1;
-
-			bool doneParsing() const { return parsing == psDone; }
-			bool parsingHeaders() const { return parsing == psIcapHeader ||
-				parsing == psHttpHeader; }
-
-			CWCB *isWriting;
-			IOCB *isReading;
-			PF *closer;
+    // returns a temporary string depicting transaction status, for debugging
+    const char *status() const;
+    bool gotEncapsulated(const char *section) const;
+
+    Pointer self;
+    MsgPipe *virgin;
+    MsgPipe *adapted;
+
+    HttpReply *icapReply;
+
+    ICAPServiceRep *service;
+    int connection;     // FD of the ICAP server connection
+
+    MemBuf requestBuf;
+    MemBuf readBuf;
+    ChunkedCodingParser *bodyParser;
+
+    class State
+    {
+
+    public:
+        State();
+
+    public:
+        // XXX: document each
+
+    unsigned inCall:
+        1;
+
+    unsigned doneReceiving:
+        1;
+
+    unsigned doneSending:
+        1;
+
+    unsigned doneReading:
+        1;
+
+    unsigned doneWriting:
+        1;
+
+        bool doneParsing() const { return parsing == psDone; }
+
+        bool parsingHeaders() const
+        {
+            return parsing == psIcapHeader ||
+                   parsing == psHttpHeader;
+        }
+
+        CWCB *isWriting;
+        IOCB *isReading;
+        PF *closer;
+
+        enum Parsing { psIcapHeader, psHttpHeader, psBody, psDone } parsing;
+    }
 
-			enum Parsing { psIcapHeader, psHttpHeader, psBody, psDone } parsing;
-	} state;
+    state;
 
-	Notify notify;
+    Notify notify;
 
-	CBDATA_CLASS2(ICAPXaction);
+    CBDATA_CLASS2(ICAPXaction);
 };
 
 // destroys (or pools) the transaction; implemented in ICAPClient.cc (ick?)
Index: squid3/src/MemBuf.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/MemBuf.cc,v
retrieving revision 1.6.8.4
retrieving revision 1.6.8.5
diff -u -r1.6.8.4 -r1.6.8.5
--- squid3/src/MemBuf.cc	24 Aug 2005 21:26:17 -0000	1.6.8.4
+++ squid3/src/MemBuf.cc	26 Aug 2005 20:28:41 -0000	1.6.8.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemBuf.cc,v 1.6.8.4 2005/08/24 21:26:17 dwsquid Exp $
+ * $Id: MemBuf.cc,v 1.6.8.5 2005/08/26 20:28:41 dwsquid Exp $
  *
  * DEBUG: section 59    auto-growing Memory Buffer with printf
  * AUTHOR: Alex Rousskov
@@ -157,16 +157,16 @@
 {
     assert(mb);
 
-	if (memBufIsNull(mb)) {
-		// nothing to do
-	} else {
-		assert(mb->buf);
-		assert(!mb->stolen);	/* not frozen */
-
-		memFreeBuf(mb->capacity, mb->buf);
-		mb->buf = NULL;
-		mb->size = mb->capacity = mb->max_capacity = 0;
-	}
+    if (memBufIsNull(mb)) {
+        // nothing to do
+    } else {
+        assert(mb->buf);
+        assert(!mb->stolen);	/* not frozen */
+
+        memFreeBuf(mb->capacity, mb->buf);
+        mb->buf = NULL;
+        mb->size = mb->capacity = mb->max_capacity = 0;
+    }
 }
 
 /* cleans the buffer without changing its capacity
@@ -201,32 +201,39 @@
     return 0;
 }
 
-mb_size_t MemBuf::spaceSize() const {
-	const mb_size_t terminatedSize = size + 1;
-	return (terminatedSize < capacity) ? capacity - terminatedSize : 0;
+mb_size_t MemBuf::spaceSize() const
+{
+    const mb_size_t terminatedSize = size + 1;
+    return (terminatedSize < capacity) ? capacity - terminatedSize : 0;
 }
 
-mb_size_t MemBuf::potentialSpaceSize() const {
-	const mb_size_t terminatedSize = size + 1;
-	return (terminatedSize < max_capacity) ? max_capacity - terminatedSize : 0;
+mb_size_t MemBuf::potentialSpaceSize() const
+{
+    const mb_size_t terminatedSize = size + 1;
+    return (terminatedSize < max_capacity) ? max_capacity - terminatedSize : 0;
 }
 
 // removes sz bytes and "packs" by moving content left
-void MemBuf::consume(mb_size_t shiftSize) {
-	const mb_size_t cSize = contentSize();
-	assert(0 <= shiftSize && shiftSize <= cSize);
-	assert(!stolen); /* not frozen */
-        //assert(valid);
-	if (shiftSize > 0) {
-		if (shiftSize < cSize)
-			xmemmove(buf, buf + shiftSize, cSize - shiftSize);
-		size -= shiftSize;
-		terminate();
-	}
+void MemBuf::consume(mb_size_t shiftSize)
+{
+    const mb_size_t cSize = contentSize();
+    assert(0 <= shiftSize && shiftSize <= cSize);
+    assert(!stolen); /* not frozen */
+    //assert(valid);
+
+    if (shiftSize > 0) {
+        if (shiftSize < cSize)
+            xmemmove(buf, buf + shiftSize, cSize - shiftSize);
+
+        size -= shiftSize;
+
+        terminate();
+    }
 }
 
 // calls memcpy, appends exactly size bytes, extends buffer if needed
-void MemBuf::append(const char *newContent, mb_size_t sz) {
+void MemBuf::append(const char *newContent, mb_size_t sz)
+{
     assert(sz >= 0);
     assert(buf);
     assert(!stolen); /* not frozen */
@@ -239,15 +246,17 @@
         assert(size + sz <= capacity); /* paranoid */
 
         xmemcpy(space(), newContent, sz);
-		appended(sz);
-	}
+
+        appended(sz);
+    }
 }
 
 // updates content size after external append
-void MemBuf::appended(mb_size_t sz) {
-	assert(size + sz <= capacity);
-	size += sz;
-	terminate();
+void MemBuf::appended(mb_size_t sz)
+{
+    assert(size + sz <= capacity);
+    size += sz;
+    terminate();
 }
 
 // 0-terminate in case we are used as a string.
@@ -255,16 +264,17 @@
 // XXX: but the extra octet is counted when growth decisions are made!
 // This will cause the buffer to grow when spaceSize() == 1 on append,
 // which will assert() if the buffer cannot grow any more.
-void MemBuf::terminate() {
-	assert(size < capacity);
-	*space() = '\0';
+void MemBuf::terminate()
+{
+    assert(size < capacity);
+    *space() = '\0';
 }
 
 void
 memBufAppend(MemBuf * mb, const char *buf, mb_size_t sz)
 {
     assert(mb);
-	mb->append(buf, sz);
+    mb->append(buf, sz);
 }
 
 /* calls memBufVPrintf */
Index: squid3/src/MemBuf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/MemBuf.h,v
retrieving revision 1.3.16.5
retrieving revision 1.3.16.6
diff -u -r1.3.16.5 -r1.3.16.6
--- squid3/src/MemBuf.h	24 Aug 2005 21:26:17 -0000	1.3.16.5
+++ squid3/src/MemBuf.h	26 Aug 2005 20:28:41 -0000	1.3.16.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemBuf.h,v 1.3.16.5 2005/08/24 21:26:17 dwsquid Exp $
+ * $Id: MemBuf.h,v 1.3.16.6 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -44,43 +44,48 @@
     _SQUID_INLINE_ MemBuf();
     _SQUID_INLINE_ ~MemBuf();
 
-	/* use methods instead of deprecated buf and size members */
+    /* use methods instead of deprecated buf and size members */
 
-	char *content() { return buf; }      // start of the added data
-	mb_size_t contentSize() const { return size; } // available data size
-	bool hasContent() const { return size > 0; }
-
-	// these space-related methods assume no growth and allow 0-termination
-	char *space() { return buf + size; } // space to add data
-	mb_size_t spaceSize() const;
-	bool hasSpace() const { return size+1 < capacity; }
-	
-	mb_size_t potentialSpaceSize() const; // accounts for possible growth
-	bool hasPotentialSpace() const { return potentialSpaceSize() > 0; }
-	// there is currently no stretch() method to grow without appending
-
-	void consume(mb_size_t sz);  // removes sz bytes, moving content left
-	void append(const char *c, mb_size_t sz); // grows if needed and possible
-	void appended(mb_size_t sz); // updates content size after external append
+    char *content() { return buf; }      // start of the added data
 
-	// XXX: convert global memBuf*() functions into methods
+    mb_size_t contentSize() const { return size; } // available data size
 
-	void terminate(); // zero-terminates the buffer w/o increasing contentSize
+    bool hasContent() const { return size > 0; }
+
+    // these space-related methods assume no growth and allow 0-termination
+    char *space() { return buf + size; } // space to add data
+
+    mb_size_t spaceSize() const;
+    bool hasSpace() const { return size+1 < capacity; }
+
+    mb_size_t potentialSpaceSize() const; // accounts for possible growth
+    bool hasPotentialSpace() const { return potentialSpaceSize() > 0; }
+
+    // there is currently no stretch() method to grow without appending
+
+    void consume(mb_size_t sz);  // removes sz bytes, moving content left
+    void append(const char *c, mb_size_t sz); // grows if needed and possible
+    void appended(mb_size_t sz); // updates content size after external append
+
+    // XXX: convert global memBuf*() functions into methods
+
+    void terminate(); // zero-terminates the buffer w/o increasing contentSize
 
 public:
     /* public, read-only, depricated in favor of space*() and content*() */
-	// XXX: hide these members completely and remove 0-termination
-	// so that consume() does not need to memmove all the time
+    // XXX: hide these members completely and remove 0-termination
+    // so that consume() does not need to memmove all the time
     char *buf;          // available content
     mb_size_t size;     // used space, does not count 0-terminator
 
     /* private, stay away; use interface function instead */
-	// XXX: make these private after converting memBuf*() functions to methods
+    // XXX: make these private after converting memBuf*() functions to methods
     mb_size_t max_capacity;	/* when grows: assert(new_capacity <= max_capacity) */
     mb_size_t capacity;		/* allocated space */
 
 unsigned stolen:
     1;		/* the buffer has been stolen for use by someone else */
+
 unsigned valid:
     1;		/* to be used for debugging only! */
 };
Index: squid3/src/MsgPipe.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipe.cc,v
retrieving revision 1.1.2.7
retrieving revision 1.1.2.8
diff -u -r1.1.2.7 -r1.1.2.8
--- squid3/src/MsgPipe.cc	25 Aug 2005 20:51:26 -0000	1.1.2.7
+++ squid3/src/MsgPipe.cc	26 Aug 2005 20:28:41 -0000	1.1.2.8
@@ -24,64 +24,66 @@
 MsgPipe_MAKE_CALLBACK(SinkAbort, source)
 
 
-MsgPipe::MsgPipe(const char *aName): name(aName), 
-	data(NULL), source(NULL), sink(NULL) {
-}
+MsgPipe::MsgPipe(const char *aName): name(aName),
+        data(NULL), source(NULL), sink(NULL)
+{}
 
 void MsgPipe::sendSourceStart()
 {
-	debug(99,5)("MsgPipe::sendSourceStart() called\n");
-	sendLater("SourceStart", &MsgPipe_sendSourceStart, sink);
+    debug(99,5)("MsgPipe::sendSourceStart() called\n");
+    sendLater("SourceStart", &MsgPipe_sendSourceStart, sink);
 }
 
 void MsgPipe::sendSourceProgress()
 {
-	debug(99,5)("MsgPipe::sendSourceProgress() called\n");
-	sendLater("SourceProgress", &MsgPipe_sendSourceProgress, sink);
+    debug(99,5)("MsgPipe::sendSourceProgress() called\n");
+    sendLater("SourceProgress", &MsgPipe_sendSourceProgress, sink);
 }
 
 void MsgPipe::sendSourceFinish()
 {
-	debug(99,5)("MsgPipe::sendSourceFinish() called\n");
-	sendLater("sendSourceFinish", &MsgPipe_sendSourceFinish, sink);
-	source = NULL;
+    debug(99,5)("MsgPipe::sendSourceFinish() called\n");
+    sendLater("sendSourceFinish", &MsgPipe_sendSourceFinish, sink);
+    source = NULL;
 }
 
 void MsgPipe::sendSourceAbort()
 {
-	debug(99,5)("MsgPipe::sendSourceAbort() called\n");
-	sendLater("SourceAbort", &MsgPipe_sendSourceAbort, sink);
-	source = NULL;
+    debug(99,5)("MsgPipe::sendSourceAbort() called\n");
+    sendLater("SourceAbort", &MsgPipe_sendSourceAbort, sink);
+    source = NULL;
 }
 
 
 void MsgPipe::sendSinkNeed()
 {
-	debug(99,5)("MsgPipe::sendSinkNeed() called\n");
-	sendLater("SinkNeed", &MsgPipe_sendSinkNeed, source);
+    debug(99,5)("MsgPipe::sendSinkNeed() called\n");
+    sendLater("SinkNeed", &MsgPipe_sendSinkNeed, source);
 }
 
 void MsgPipe::sendSinkAbort()
 {
-	debug(99,5)("MsgPipe::sendSinkAbort() called\n");
-	sendLater("SinkAbort", &MsgPipe_sendSinkAbort, source);
-	sink = NULL;
-}
-
-void MsgPipe::sendLater(const char *callName, EVH * handler, MsgPipeEnd *destination) {
-	if (canSend(destination, callName, true))
-		eventAdd(callName, handler, this, 0, true);
-}
-
-bool MsgPipe::canSend(MsgPipeEnd *destination, const char *callName, bool future) {
-	const bool res = destination != NULL;
-	const char *verb = future ?
-		(res ? "will send " : "wont send ") :
-		(res ? "sends " : "ignores ");
-	debugs(99,5, "MsgPipe " << name << "(" << this << ") " <<
-		verb << callName << " to the " <<
-		(destination ? destination->kind() : "destination") << "(" <<
-		   destination << "); " <<
-		"data: " << data << "; source: " << source << "; sink " << sink);
-	return res;
+    debug(99,5)("MsgPipe::sendSinkAbort() called\n");
+    sendLater("SinkAbort", &MsgPipe_sendSinkAbort, source);
+    sink = NULL;
+}
+
+void MsgPipe::sendLater(const char *callName, EVH * handler, MsgPipeEnd *destination)
+{
+    if (canSend(destination, callName, true))
+        eventAdd(callName, handler, this, 0, true);
+}
+
+bool MsgPipe::canSend(MsgPipeEnd *destination, const char *callName, bool future)
+{
+    const bool res = destination != NULL;
+    const char *verb = future ?
+                       (res ? "will send " : "wont send ") :
+                               (res ? "sends " : "ignores ");
+    debugs(99,5, "MsgPipe " << name << "(" << this << ") " <<
+           verb << callName << " to the " <<
+           (destination ? destination->kind() : "destination") << "(" <<
+           destination << "); " <<
+           "data: " << data << "; source: " << source << "; sink " << sink);
+    return res;
 }
Index: squid3/src/MsgPipe.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipe.h,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/MsgPipe.h	23 Aug 2005 15:36:54 -0000	1.1.2.4
+++ squid3/src/MsgPipe.h	26 Aug 2005 20:28:41 -0000	1.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MsgPipe.h,v 1.1.2.4 2005/08/23 15:36:54 rousskov Exp $
+ * $Id: MsgPipe.h,v 1.1.2.5 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,44 +36,49 @@
 
 
 // MsgPipe is a unidirectional communication channel for asynchronously
-// transmitting potentially large messages. It aggregates the message 
-// being piped and pointers to the message sender and recepient. 
+// transmitting potentially large messages. It aggregates the message
+// being piped and pointers to the message sender and recepient.
 // MsgPipe also provides convenience wrappers for asynchronous calls to
 // recepient's and sender's note*() methods.
 
 class MsgPipeData;
+
 class MsgPipeEnd;
+
 class MsgPipeSource;
+
 class MsgPipeSink;
 
 class MsgPipe
 {
+
 public:
-	MsgPipe(const char *aName = "anonym");
+    MsgPipe(const char *aName = "anonym");
+
+    // the pipe source calls these to notify the sink
+    void sendSourceStart();
+    void sendSourceProgress();
+    void sendSourceFinish();
+    void sendSourceAbort();
+
+    // the pipe sink calls these to notify the source
+    void sendSinkNeed();
+    void sendSinkAbort();
 
-	// the pipe source calls these to notify the sink
-	void sendSourceStart();
-	void sendSourceProgress();
-	void sendSourceFinish();
-	void sendSourceAbort();
-
-	// the pipe sink calls these to notify the source
-	void sendSinkNeed();
-	void sendSinkAbort();
+    // private method exposed for the event handler only
+    bool canSend(MsgPipeEnd *destination, const char *callName, bool future);
 
-	// private method exposed for the event handler only
-	bool canSend(MsgPipeEnd *destination, const char *callName, bool future);
 public:
-	const char *name; // unmanaged pointer used for debugging only
+    const char *name; // unmanaged pointer used for debugging only
 
-	MsgPipeData *data;
-	MsgPipeSource *source;
-	MsgPipeSink *sink;
+    MsgPipeData *data;
+    MsgPipeSource *source;
+    MsgPipeSink *sink;
 
 private:
-	void sendLater(const char *callName, EVH * handler, MsgPipeEnd *destination);
+    void sendLater(const char *callName, EVH * handler, MsgPipeEnd *destination);
 
-	CBDATA_CLASS2(MsgPipe);
+    CBDATA_CLASS2(MsgPipe);
 };
 
 #endif /* SQUID_MSGPIPE_H */
Index: squid3/src/MsgPipeData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipeData.h,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.7
diff -u -r1.1.2.6 -r1.1.2.7
--- squid3/src/MsgPipeData.h	25 Aug 2005 16:39:02 -0000	1.1.2.6
+++ squid3/src/MsgPipeData.h	26 Aug 2005 20:28:41 -0000	1.1.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MsgPipeData.h,v 1.1.2.6 2005/08/25 16:39:02 dwsquid Exp $
+ * $Id: MsgPipeData.h,v 1.1.2.7 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -47,20 +47,22 @@
 
 class MsgPipeData
 {
+
 public:
-	MsgPipeData(): header(0), body(0), cause(0) {};
-	~MsgPipeData();
+    MsgPipeData(): header(0), body(0), cause(0) {};
+
+    ~MsgPipeData();
 
 public:
-	typedef HttpReply Header;
-	typedef MemBuf Body;
+    typedef HttpReply Header;
+    typedef MemBuf Body;
 
-	// message being piped
-	Header *header; // parsed HTTP headers
-	Body *body;     // a buffer for decoded HTTP body piping
+    // message being piped
+    Header *header; // parsed HTTP headers
+    Body *body;     // a buffer for decoded HTTP body piping
 
-	// HTTP request header for piped responses (the cause of the response)
-	HttpRequest *cause;
+    // HTTP request header for piped responses (the cause of the response)
+    HttpRequest *cause;
 };
 
 #endif /* SQUID_MSGPIPEDATA_H */
Index: squid3/src/MsgPipeEnd.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipeEnd.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/MsgPipeEnd.h	23 Aug 2005 15:42:29 -0000	1.1.2.1
+++ squid3/src/MsgPipeEnd.h	26 Aug 2005 20:28:41 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MsgPipeEnd.h,v 1.1.2.1 2005/08/23 15:42:29 rousskov Exp $
+ * $Id: MsgPipeEnd.h,v 1.1.2.2 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -42,10 +42,11 @@
 
 class MsgPipeEnd: public RefCountable
 {
+
 public:
     virtual ~MsgPipeEnd() {}
 
-	virtual const char *kind() const = 0; // "sink" or "source", for debugging
+    virtual const char *kind() const = 0; // "sink" or "source", for debugging
 };
 
 #endif /* SQUID_MSGPIPEEND_H */
Index: squid3/src/MsgPipeSink.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipeSink.h,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/MsgPipeSink.h	23 Aug 2005 15:42:29 -0000	1.1.2.2
+++ squid3/src/MsgPipeSink.h	26 Aug 2005 20:28:41 -0000	1.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MsgPipeSink.h,v 1.1.2.2 2005/08/23 15:42:29 rousskov Exp $
+ * $Id: MsgPipeSink.h,v 1.1.2.3 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,20 +36,21 @@
 
 #include "MsgPipeEnd.h"
 
-// MsgPipeSink is an interface for the recepient of a given message 
+// MsgPipeSink is an interface for the recepient of a given message
 // over a given message pipe. Use MsgPipe to call sink methods.
 
 class MsgPipe;
 
 class MsgPipeSink: public MsgPipeEnd
 {
+
 public:
-	virtual void noteSourceStart(MsgPipe *p) = 0;
-	virtual void noteSourceProgress(MsgPipe *p) = 0;
-	virtual void noteSourceFinish(MsgPipe *p) = 0;
-	virtual void noteSourceAbort(MsgPipe *p) = 0;
+    virtual void noteSourceStart(MsgPipe *p) = 0;
+    virtual void noteSourceProgress(MsgPipe *p) = 0;
+    virtual void noteSourceFinish(MsgPipe *p) = 0;
+    virtual void noteSourceAbort(MsgPipe *p) = 0;
 
-	virtual const char *kind() const { return "sink"; }
+    virtual const char *kind() const { return "sink"; }
 };
 
 #endif /* SQUID_MSGPIPESINK_H */
Index: squid3/src/MsgPipeSource.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/MsgPipeSource.h,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/MsgPipeSource.h	23 Aug 2005 15:42:29 -0000	1.1.2.2
+++ squid3/src/MsgPipeSource.h	26 Aug 2005 20:28:41 -0000	1.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MsgPipeSource.h,v 1.1.2.2 2005/08/23 15:42:29 rousskov Exp $
+ * $Id: MsgPipeSource.h,v 1.1.2.3 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,18 +36,19 @@
 
 #include "MsgPipeEnd.h"
 
-// MsgPipeSource is an interface for the sender of a given message 
+// MsgPipeSource is an interface for the sender of a given message
 // over a given message pipe. Use MsgPipe to call source methods.
 
 class MsgPipe;
 
 class MsgPipeSource: public MsgPipeEnd
 {
+
 public:
-	virtual const char *kind() const { return "source"; }
+    virtual const char *kind() const { return "source"; }
 
-	virtual void noteSinkNeed(MsgPipe *p) = 0;
-	virtual void noteSinkAbort(MsgPipe *p) = 0;
+    virtual void noteSinkNeed(MsgPipe *p) = 0;
+    virtual void noteSinkAbort(MsgPipe *p) = 0;
 };
 
 #endif /* SQUID_MSGPIPESOURCE_H */
Index: squid3/src/Packer.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Packer.cc,v
retrieving revision 1.2.14.1
retrieving revision 1.2.14.2
diff -u -r1.2.14.1 -r1.2.14.2
--- squid3/src/Packer.cc	25 Aug 2005 21:16:24 -0000	1.2.14.1
+++ squid3/src/Packer.cc	26 Aug 2005 20:28:41 -0000	1.2.14.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Packer.cc,v 1.2.14.1 2005/08/25 21:16:24 rousskov Exp $
+ * $Id: Packer.cc,v 1.2.14.2 2005/08/26 20:28:41 dwsquid Exp $
  *
  * DEBUG: section 60    Packer: A uniform interface to store-like modules
  * AUTHOR: Alex Rousskov
@@ -111,7 +111,7 @@
     p->append = (append_f) store_append;
     p->vprintf = (vprintf_f) store_vprintf;
     p->real_handler = e;
-	storeBuffer(e);
+    storeBuffer(e);
 }
 
 /* init with this to accumulate data in MemBuf */
@@ -129,8 +129,9 @@
 packerClean(Packer * p)
 {
     assert(p);
-	if (p->append == (append_f) store_append && p->real_handler)
-		storeBufferFlush(static_cast<StoreEntry*>(p->real_handler));
+
+    if (p->append == (append_f) store_append && p->real_handler)
+        storeBufferFlush(static_cast<StoreEntry*>(p->real_handler));
 
     /* it is not really necessary to do this, but, just in case... */
     p->append = NULL;
Index: squid3/src/Parsing.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Parsing.cc,v
retrieving revision 1.1.12.1
retrieving revision 1.1.12.2
diff -u -r1.1.12.1 -r1.1.12.2
--- squid3/src/Parsing.cc	24 Aug 2005 05:47:12 -0000	1.1.12.1
+++ squid3/src/Parsing.cc	26 Aug 2005 20:28:41 -0000	1.1.12.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Parsing.cc,v 1.1.12.1 2005/08/24 05:47:12 rousskov Exp $
+ * $Id: Parsing.cc,v 1.1.12.2 2005/08/26 20:28:41 dwsquid Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -73,16 +73,21 @@
 }
 
 bool
-StringToInt(const char *s, int &result, const char **p, int base) {
-	if (s) {
-		char *ptr = 0;
-		const int h = (int) strtol(s, &ptr, base);
-		if (ptr != s && ptr) {
-			result = h;
-			if (p)
-				*p = ptr;
-			return true;
-		}
-	}
-	return false;
+StringToInt(const char *s, int &result, const char **p, int base)
+{
+    if (s) {
+        char *ptr = 0;
+        const int h = (int) strtol(s, &ptr, base);
+
+        if (ptr != s && ptr) {
+            result = h;
+
+            if (p)
+                *p = ptr;
+
+            return true;
+        }
+    }
+
+    return false;
 }
Index: squid3/src/StoreIOBuffer.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreIOBuffer.h,v
retrieving revision 1.4.12.2
retrieving revision 1.4.12.3
diff -u -r1.4.12.2 -r1.4.12.3
--- squid3/src/StoreIOBuffer.h	19 Aug 2005 21:58:38 -0000	1.4.12.2
+++ squid3/src/StoreIOBuffer.h	26 Aug 2005 20:28:41 -0000	1.4.12.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreIOBuffer.h,v 1.4.12.2 2005/08/19 21:58:38 dwsquid Exp $
+ * $Id: StoreIOBuffer.h,v 1.4.12.3 2005/08/26 20:28:41 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -55,11 +55,11 @@
     /* Create a StoreIOBuffer from a MemBuf and offset */
     /* NOTE that MemBuf still "owns" the pointers, StoreIOBuffer is just borrowing them */
     StoreIOBuffer(MemBuf *aMemBuf, off_t anOffset) :
-	    length(aMemBuf->contentSize()),
-	    offset (anOffset),
-	    data(aMemBuf->content())
+            length(aMemBuf->contentSize()),
+            offset (anOffset),
+            data(aMemBuf->content())
     {
-	flags.error = 0;
+        flags.error = 0;
     }
 
     Range<size_t> range() const
@@ -69,8 +69,8 @@
 
     void dump() const
     {
-	fwrite(data, length, 1, stderr);
-	fwrite("\n", 1, 1, stderr);
+        fwrite(data, length, 1, stderr);
+        fwrite("\n", 1, 1, stderr);
     }
 
     struct
Index: squid3/src/TextException.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/TextException.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/TextException.cc	20 Aug 2005 06:18:37 -0000	1.1.2.2
+++ squid3/src/TextException.cc	26 Aug 2005 20:28:41 -0000	1.1.2.3
@@ -2,24 +2,26 @@
 #include "TextException.h"
 
 TextException::TextException(const char *aMsg, const char *aFileName, int aLineNo):
-	message(xstrdup(aMsg)), theFileName(aFileName), theLineNo(aLineNo) {
-}
+        message(xstrdup(aMsg)), theFileName(aFileName), theLineNo(aLineNo)
+{}
 
-TextException::~TextException() {
-	xfree(message);
+TextException::~TextException()
+{
+    xfree(message);
 }
 
-void Throw(const char *message, const char *fileName, int lineNo) {
+void Throw(const char *message, const char *fileName, int lineNo)
+{
+
+    // or should we let the exception recepient print the exception instead?
 
-	// or should we let the exception recepient print the exception instead?
+    if (fileName) {
+        debugs(0, 3, fileName << ':' << lineNo << ": exception" <<
+               (message ? ": " : ".") << (message ? message : ""));
+    } else {
+        debugs(0, 3, "exception" <<
+               (message ? ": " : ".") << (message ? message : ""));
+    }
 
-	if (fileName) {
-		debugs(0, 3, fileName << ':' << lineNo << ": exception" <<
-			(message ? ": " : ".") << (message ? message : ""));  
-	} else {
-		debugs(0, 3, "exception" <<
-			(message ? ": " : ".") << (message ? message : ""));  
-	}
-	
-	throw TextException(message, fileName, lineNo);
+    throw TextException(message, fileName, lineNo);
 }
